Package be.ehealth.businessconnector.ehbox.api.domain

# Class Message<T>

java.lang.Object
be.ehealth.businessconnector.ehbox.api.domain.Message<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AcknowledgeMessage`, `DocumentMessage`, `ErrorMessage`

public abstract class Message<T> extends Object implements Serializable
Message class declaration.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Message()`
  Create a message with a new publicationId.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `generatePublicationId()`
  used to generate a defaultId.
  `final Map<String,String>`
  `getCustomMetas()`
  `final List<Addressee>`
  `getDestinations()`
  `final Instant`
  `getExpirationDateTime()`
  `String`
  `getId()`
  `T`
  `getOriginal()`
  `final Instant`
  `getPublicationDateTime()`
  `final String`
  `getPublicationId()`
  `final Addressee`
  `getSender()`
  `String`
  `getSize()`
  `final boolean`
  `isEncrypted()`
  `final boolean`
  `isHasAnnex()`
  `final boolean`
  `isHasFreeInformations()`
  `final boolean`
  `isImportant()`
  `boolean`
  `isUsePublicationReceipt()`
  `boolean`
  `isUseReadReceipt()`
  `boolean`
  `isUseReceivedReceipt()`
  `final void`
  `setDestinations(List<Addressee> destinations)`
  `final void`
  `setEncrypted(boolean encrypted)`
  `final void`
  `setExpirationDateTime(Instant expirationDate)`
  `final void`
  `setHasAnnex(boolean hasAnnex)`
  `final void`
  `setHasFreeInformations(boolean hasFreeInformations)`
  `void`
  `setId(String id)`
  `final void`
  `setImportant(boolean important)`
  `void`
  `setOriginal(T original)`
  `final void`
  `setPublicationDateTime(Instant publicationDate)`
  `final void`
  `setPublicationId(String id)`
  `final void`
  `setSender(Addressee sender)`
  `void`
  `setSize(String size)`
  `void`
  `setUsePublicationReceipt(boolean usePublicationReceipt)`
  `void`
  `setUseReadReceipt(boolean useReadReceipt)`
  `void`
  `setUseReceivedReceipt(boolean useReceivedReceipt)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Message

    public Message()
    Create a message with a new publicationId.

- ## Method Details

  - ### getId

    public String getId()
    Returns:
      the id

  - ### setId

    public void setId(String id)
    Parameters:
      `id` - the id to set

  - ### getPublicationId

    public final String getPublicationId()
    Returns:
      the publicationId

  - ### generatePublicationId

    public final void generatePublicationId()
    used to generate a defaultId.

  - ### setPublicationId

    public final void setPublicationId(String id)
    Parameters:
      `id` - the id to set

  - ### getSender

    public final Addressee getSender()
    Returns:
      the sender

  - ### setSender

    public final void setSender(Addressee sender)
    Parameters:
      `sender` - the sender to set

  - ### getDestinations

    public final List<Addressee> getDestinations()
    Returns:
      the destinations

  - ### setDestinations

    public final void setDestinations(List<Addressee> destinations)
    Parameters:
      `destinations` - the destinations to set

  - ### isImportant

    public final boolean isImportant()
    Returns:
      the important

  - ### setImportant

    public final void setImportant(boolean important)
    Parameters:
      `important` - the important to set

  - ### isEncrypted

    public final boolean isEncrypted()
    Returns:
      the encrypted

  - ### setEncrypted

    public final void setEncrypted(boolean encrypted)
    Parameters:
      `encrypted` - the encrypted to set

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`
    See Also:
      - `Object.toString()`

  - ### setOriginal

    public void setOriginal(T original)
    Parameters:
      `original` - the original to set

  - ### getOriginal

    public T getOriginal()
    Returns:
      the original GetMessageListResponseType.Message

  - ### setHasAnnex

    public final void setHasAnnex(boolean hasAnnex)
    Parameters:
      `hasAnnex` - the hasAnnex to set

  - ### isHasAnnex

    public final boolean isHasAnnex()
    Returns:
      the hasAnnex

  - ### setHasFreeInformations

    public final void setHasFreeInformations(boolean hasFreeInformations)
    Parameters:
      `hasFreeInformations` - the hasFreeInformations to set

  - ### isHasFreeInformations

    public final boolean isHasFreeInformations()
    Returns:
      the hasFreeInformations

  - ### getCustomMetas

    public final Map<String,String> getCustomMetas()
    Returns:
      the metas

  - ### setExpirationDateTime

    public final void setExpirationDateTime(Instant expirationDate)
    Parameters:
      `expirationDate` - the expirationDate to set

  - ### getExpirationDateTime

    public final Instant getExpirationDateTime()
    Returns:
      the expiration Instant

  - ### setPublicationDateTime

    public final void setPublicationDateTime(Instant publicationDate)
    Parameters:
      `publicationDate` - the publicationDate to set

  - ### getPublicationDateTime

    public final Instant getPublicationDateTime()
    Returns:
      the publicationDate

  - ### setSize

    public void setSize(String size)
    Parameters:
      `size` - the size to set

  - ### getSize

    public String getSize()
    Returns:
      the size

  - ### isUsePublicationReceipt

    public boolean isUsePublicationReceipt()
    Returns:
      the usePublicationReceipt

  - ### setUsePublicationReceipt

    public void setUsePublicationReceipt(boolean usePublicationReceipt)
    Parameters:
      `usePublicationReceipt` - the usePublicationReceipt to set

  - ### isUseReceivedReceipt

    public boolean isUseReceivedReceipt()
    Returns:
      the useReceivedReceipt

  - ### setUseReceivedReceipt

    public void setUseReceivedReceipt(boolean useReceivedReceipt)
    Parameters:
      `useReceivedReceipt` - the useReceivedReceipt to set

  - ### isUseReadReceipt

    public boolean isUseReadReceipt()
    Returns:
      the useReadReceipt

  - ### setUseReadReceipt

    public void setUseReadReceipt(boolean useReadReceipt)
    Parameters:
      `useReadReceipt` - the useReadReceipt to set